INSRT KENNEDY JACKIE 
INSRT KENNEDY EDWARD
INSRT KENNEDY JOHN
INSRT KENNEDY EUNICE
stree kennedy jackie 3
insrt kennedy rose
insrt kennedy joseph
insrt kennedy patricia
insrt kennedy robert
insrt kennedy john_john
insrt kennedy caroline
insrt kennedy kathleen
bsibl kennedy john kennedy patricia
mothr kennedy rose kennedy john
chldn kennedy rose
sibls kennedy john
fathr kennedy joseph kennedy edward
ftree kennedy edward 6
chldn kennedy joseph
sibls kennedy edward 
bsibl kennedy john kennedy edward
ftree kennedy edward 6
ftree kennedy john 6
CHLDN kennedy joseph
sibls kennedy john
STREE kennedy john 3
FtrEE kennedy john 3 
SIBLS kennedy patricia
FINIS
